<template>
	<view class="container">
		<view><span>运单号:</span>{{info.waybill_order}}</view>
		<view>姓名:{{info.waybill_name}}</view>
		<view>提货日期:{{info.waybill_date}}</view>
		<view>牵引车牌:{{info.tow_license}}</view>
		<view>挂车车牌:{{info.mount_license}}</view>
		<view>手机号:{{info.driver_tel}}</view>
		<view>产品名称:{{info.sale_product}}</view>
		<view>装货单位:{{info.waybill_loading}}</view>
		<view>卸货单位:{{info.waybill_unloading}}</view>
		<view>入园目的:{{info.w_mission}}</view>
		<view>装卸货品类:{{info.cargocategory}}</view>
		<view>数量:{{info.cargocount}}(吨)</view>
	</view>
</template>

<script>
	import {
		get,
		post
	} from '@/common/request.js'
	export default {
		data() {
			return {
				info: {
					id: ''
				}
			}
		},
		onLoad(option) {
			if (option.id) {
				this.info.id = option.id
				this.getWaybillInfo()
			}
		},
		methods: {
			async getWaybillInfo() {
				await get('/myapi/api/yq_driver/waybillInfo', {
					id: this.info.id
				}).then((res) => {
					this.info = res.data
				})
			}
		}
	}
</script>

<style scoped lang="less">
	.container {
		padding: 20px;
		line-height: 30px;
	}
</style>